diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 4930506..417274e 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -9007,6 +9007,13 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
      </row>
 
      <row>
+      <entry><structfield>temporary</structfield></entry>
+      <entry><type>boolean</type></entry>
+      <entry></entry>
+      <entry>True if this is temporary replication slot. Temporary slots are not saved to disk and are automatically dropped on error or when the session has finished.</entry>
+     </row>
+
+     <row>
       <entry><structfield>active</structfield></entry>
       <entry><type>boolean</type></entry>
       <entry></entry>
